/*
 * @Author       : ChenJie
 * @Date         : 2022-02-10 11:44:08
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-02-11 10:44:55
 * @Description  : file content
 * @FilePath     : \S32K146_4G\src\AppTaskUart1.h
 */
/*
 * AppTaskUart2.h
 *4GĴں
 *  Created on: 2022210
 *      Author: QiXiang_CHENJIE
 */

#ifndef APPTASKUART1_H_
#define APPTASKUART1_H_
#include "hal_adapter.h"
#include "AppFunclib.h"
#include "AppGlobalVar.h"
#define CRLF "\r\n"
typedef enum
{
    AT_CMD_TEST = 0,
    AT_SIMREADY,
    AT_GETICCID,
    AT_CGREG,
    AT_CSQ,
    AT_NETOPEN,
    AT_CGIP,
    AT_CONNECT,
    AT_CONNECTCHK,
    AT_SEND,
	AT_GETTIME,
    AT_DISCON,
    AT_NETCLOSE,
} ATCmd;
typedef sint8 (*pFunc)(char *PSendStr, char *pReadStr, uint8 CmdIdx, uint16 pReadLen);
sint8 at_callbackFunc(char *PSendStr, char *pReadStr, uint8 CmdIdx, uint16 pReadLen);
typedef struct
{
    ATCmd cmd; /*ָ*/
    char *str; /*ָ*/
    pFunc cb;  /*Ӧִ*/
} ATCmdFunc;
typedef enum
{
    PROCESS_TCP_IDLE = 0,
    PROCESS_TCP_ATSYS,
    PROCESS_TCP_REGCHK,
    PROCESS_TCP_CONNECT,
    PROCESS_TCP_SEND,
    PROCESS_TCP_RECV,
    PROCESS_TCP_HEART,
    PROCESS_TCP_SLEEP,
    PROCESS_TCP_ERROR
} process_Tcp;
void Uart_4G_Task(void *pvParameters);

#endif /* APPTASKUART1_H_ */
